autowatch = 1;
var myCanvas = new MaxCanvas(this);
var ctx = myCanvas.getContext('max-2d');
var example;

function bang()
{
    ctx.redraw();
}

function onresizeCanvas(w, h)
{
    post("\nsize: ",w,"by",h);
}

function paint()
{
    ctx.save();
    //setup a white background: 
    //ctx.fillStyle = "#ffffff";
    ctx.clearRect(0,0, canvas.width, canvas.height);
    //draw your stuff!
    drawImage();
}
	
function drawImage()
{

 //if you cut and paste from a canvas example, 
 //the code would go here. You will probably need
 //to change the context name, unless they are using "ctx" too!

	//set up a background
	ctx.fillStyle = "rgb(0,200,0)";  
	ctx.fillRect(0,0,400,100);
	
	//create the image object:
    //it happens that this img is 64px x 64x with a transparent bg.
    var img = new Image("oscillator.tif");

    ctx.globalAlpha = 0.7;

	//draw in top left corner and make it small:
    ctx.drawImage(img, 0, 0, 32, 32);
    //move it over and draw it at its natural resolution:
	ctx.drawImage(img, 50, 0, 64, 64);
	//move it over and make it bigger again
	ctx.drawImage(img, 100, 0, 128, 128);
	
	//change transparency and make it larger
	ctx.globalAlpha = 1;
	ctx.drawImage(img, 200, 0, 128, 128);
	
	//crop the source image to isolate the black knob, and draw it below the green area:
	//the first 4 args describe the cropping of the source, the second 4 determine where to draw the cropped image and what size.
	//so, in the source image, I know that the knob, in pixels, starts at (23,15) and the size is 18x18. I used photoshop to find out!
	ctx.drawImage(img, 23, 15, 18, 18, 10, 100, 18, 18);
}